创建任务-stability-ai/sdxl
方法: POST路径: /replicate/v1/predictions
https://replicate.com/stability-ai/sdxl 创建精美图像的文本到图像生成 AI 模型
请求参数
Header 参数
text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}Body 参数 application/json
text
version
string
必需
input
object
必需
seed
integer
必需
image
string
必需
steps
integer
必需
prompt
string
必需
cfg_scale
integer
必需
scheduler
string
必需
sampler_name
string
必需
negative_prompt
string
必需
denoising_strength
number
必需
outpaint_direction
string
必需
overlay_original_img
boolean
必需
示例
{
"version"
:
"7762fd07cf82c948538e41f63f77d685e02b063e37e496e96eefd46c929f9bdc"
,
"input"
:
{
"width"
:
768
,
"height"
:
768
,
"prompt"
:
"An astronaut riding a rainbow unicorn, cinematic, dramatic"
,
"refine"
:
"expert_ensemble_refiner"
,
"scheduler"
:
"K_EULER"
,
"lora_scale"
:
0.6
,
"num_outputs"
:
1
,
"guidance_scale"
:
7.5
,
"apply_watermark"
:
false
,
"high_noise_frac"
:
0.8
,
"negative_prompt"
:
""
,
"prompt_strength"
:
0.8
,
"num_inference_steps"
:
25
}
}请求示例代码
Shell
bash
curl --location --request POST '/replicate/v1/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"version": "7762fd07cf82c948538e41f63f77d685e02b063e37e496e96eefd46c929f9bdc",
"input": {
"width": 768,
"height": 768,
"prompt": "An astronaut riding a rainbow unicorn, cinematic, dramatic",
"refine": "expert_ensemble_refiner",
"scheduler": "K_EULER",
"lora_scale": 0.6,
"num_outputs": 1,
"guidance_scale": 7.5,
"apply_watermark": false,
"high_noise_frac": 0.8,
"negative_prompt": "",
"prompt_strength": 0.8,
"num_inference_steps": 25
}
}'返回响应
🟢 200 成功
内容类型: application/json
响应结构
text
object示例
json
{}